package com.zswc.creativity.vmodel

import android.app.Application
import com.zswc.creativity.activity.LoginActivity
import com.tencent.mmkv.MMKV
import com.ysnows.base.base.BRepository
import com.ysnows.base.base.BViewModel
import com.ysnows.base.utils.UiSwitch

class AccountSafeVModel(application: Application) : BViewModel<BRepository>(application)  {

    //退出登录
    fun  toExitLogin(){
        //只清空token
        MMKV.defaultMMKV().putString("token", "")
        UiSwitch.single_new_task_with_clear_task(repository().context, LoginActivity::class.java)
    }





}
